skopeo-logout(1)

NAME

skopeo-logout - Logout of a container registry.

SYNOPSIS

skopeo logout [options] registry

DESCRIPTION

skopeo logout logs out of a specified registry server by deleting the cached credentials stored in the auth.json file. The path of the authentication file can be overridden by the user by setting the authfile flag. The default path used is ${XDG_RUNTIME_DIR}/containers/auth.json. All the cached credentials can be removed by setting the all flag.

OPTIONS

See also skopeo(1) for options placed before the subcommand name.

--authfile=path

Path of the authentication file. Default is ${XDG_RUNTIME_DIR}/containers/auth.json

Note: You can also override the default path of the authentication file by setting the REGISTRY_AUTH_FILE environment variable. export REGISTRY_AUTH_FILE=path

--compat-auth-file=path

Instead of updating the default credentials file, update the one at path, and use a Docker-compatible format.

--all, -a

Remove the cached credentials for all registries in the auth file

--help, -h

Print usage statement

--tls-verify=bool

Require HTTPS and verify certificates when talking to the container registry or daemon. Default to registry.conf setting.

EXAMPLES
    $ skopeo logout docker.io
    Remove login credentials for docker.io
    $ skopeo logout --authfile authdir/myauths.json docker.io
    Remove login credentials for docker.io
    $ skopeo logout --all
    Remove login credentials for all registries

SEE ALSO

skopeo(1), skopeo-login(1), containers-auth.json(5)

HISTORY

May 2020, Originally compiled by Qi Wang qiwan@redhat.com ⟨mailto:qiwan@redhat.com⟩